LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 11-08-2003, 02:38 PM   #1
ganninu
Member
 
Registered: Jul 2003
Distribution: RH 7.3/8.0/9.0, Debian Stable 3.0, FreeBSD 5.2, Solaris 8/9/10,HP-UX
Posts: 340

Rep: Reputation: 30
kdelibs...


I have kdelibs and kdelibs4 installed... Whenever I try to install kdelibs3, may of my packages will be removed:

tiger:/root# apt-get install kdelibs3
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
kdelibs3-bin libqt2 libsocks4
The following packages will be REMOVED:
artsbuilder kappfinder kate kate-plugins kcontrol kdeaddons
kdeaddons-kfile-plugins kdebase kdebase-bin kdebase-kio-plugins kdelibs
kdelibs-bin kdelibs-data kdelibs4 kdeprint kdesktop kdm kfind khelpcenter
kicker kicker-applets klipper kmenuedit konq-plugins konqueror
konqueror-nsplugins konsole kpager kpersonalizer ksmserver ksplash ksysguard
ktip kwin libkonq4 noatun noatun-plugins
The following NEW packages will be installed:
kdelibs3 kdelibs3-bin libqt2 libsocks4
0 packages upgraded, 4 newly installed, 37 to remove and 1 not upgraded.
Need to get 8686kB of archives. After unpacking 67.7MB will be freed.
Do you want to continue? [Y/n] n
Abort.
tiger:/root# apt-cache policy kdelibs
kdelibs:
Installed: 4:3.1.4-0woody1
Candidate: 4:3.1.4-0woody1
Version Table:
*** 4:3.1.4-0woody1 0
100 /var/lib/dpkg/status
tiger:/root# apt-cache policy kdelibs4
kdelibs4:
Installed: 4:3.1.4-0woody1
Candidate: 4:3.1.4-0woody1
Version Table:
*** 4:3.1.4-0woody1 0
100 /var/lib/dpkg/status


---

... So effectively I abort the installation... Is this because i needed to install kdelibs3 after kdelibs, and before kdelibs4? Now if I were to remove the packages requested, will I still be able to get back kdebase, and other core files? (Mind you, I've installed KDE from scratch)
 
Old 11-08-2003, 04:40 PM   #2
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,756

Rep: Reputation: 132Reputation: 132
You should not be trying to install kdelibs3 that is for KDE 2.2.?? you are running a KDE 3.1 the packages do not co-exist. What are you trying to install that needs the kdelibs3 and have you checked for another backport for it on Apt-get.org?
 
Old 11-08-2003, 08:02 PM   #3
ganninu
Member
 
Registered: Jul 2003
Distribution: RH 7.3/8.0/9.0, Debian Stable 3.0, FreeBSD 5.2, Solaris 8/9/10,HP-UX
Posts: 340

Original Poster
Rep: Reputation: 30
kscreensaver, kmixer, and the like need kdelibs3... i have found in another forum that kdelibs3 and kdelibs4 can co-exist - infact it was said that they are not different versions of the same libs but entirely different libs... i still want to see what you will tell me before doing the next step.
 
Old 11-08-2003, 11:58 PM   #4
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,756

Rep: Reputation: 132Reputation: 132
Quote:
Originally posted by ganninu
kscreensaver, kmixer, and the like need kdelibs3... i have found in another forum that kdelibs3 and kdelibs4 can co-exist - infact it was said that they are not different versions of the same libs but entirely different libs... i still want to see what you will tell me before doing the next step.
They are not entirely different kdelibs3 is for KDE 2.2, kdelibs4 is for 3.1 different versions of KDE but doing the same thing as for them existing on the same machine they are not going to the way your system is set up if you installed from source to /usr/local or something like that then maybe. What is happening is you have more than one version that can be installed and apt is trying to install the KDE 2.2 version. You can try to install the exact version of the program that you want eg. kscreensavers:

Code:
[01:41 AM Sun Nov 09: stephen @ ~]
>$ apt-cache policy kscreensaver
kscreensaver:
  Installed: (none)
  Candidate: 4:3.1.4-1
  Version Table:
     4:3.1.4-1 0
        600 http://ftp.de.debian.org unstable/main Packages
     4:2.2.2-14.7 0
        500 http://security.debian.org stable/updates/main Packages
     4:2.2.2-14 0
        500 http://ftp.de.debian.org stable/main Packages
[01:41 AM Sun Nov 09: stephen @ ~]
>$ su
Password:
HappyTux:/home/stephen# apt-get -s install kscreensaver=4:3.1.4-1
Reading Package Lists... Done
Building Dependency Tree... Done
Recommended packages:
  xscreensaver-nognome xscreensaver
The following NEW packages will be installed:
   kscreensaver (3.1.4-1)
0 upgraded, 1 newly installed, 0 to remove and 11 not upgraded.
Inst kscreensaver (4:3.1.4-1 Debian:unstable)
Conf kscreensaver (4:3.1.4-1 Debian:unstable)
HappyTux:/home/stephen# [01:41 AM Sun Nov 09: stephen @ ~]
If that does not work then where are you getting the packages from, what are you using in your sources.list and can you post the output of the apt-cache policy for the kscreensaver and kmixer?
 
Old 11-09-2003, 05:16 AM   #5
ganninu
Member
 
Registered: Jul 2003
Distribution: RH 7.3/8.0/9.0, Debian Stable 3.0, FreeBSD 5.2, Solaris 8/9/10,HP-UX
Posts: 340

Original Poster
Rep: Reputation: 30
Your explanation was excellent such that I figured out what was the problem - Somehow I commented the KDE's download mirror link from the sources.list link so I had the old version as the candidate. As regards to what you have also told me abt kdelibs3 and kdelibs4 I will now post in the other forum what you told me because there's no doubt that you're right. Thanks again. Ganni.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
KDElibs problem f1dave Ubuntu 1 07-01-2005 03:54 AM
Kdelibs apidocs error merchtemeagle Linux - Software 0 04-28-2005 03:26 PM
cannot make kdelibs-3.2.2 nebloof Linux - Software 2 05-23-2004 12:24 PM
kdelibs-3.0.2 karinne Linux - Software 1 07-25-2002 03:22 PM
Kdelibs 2.1.2 install Kenn Linux - Software 1 07-02-2001 06:50 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 12:08 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration